summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/coding-checks.sh9
-rwxr-xr-xtools/run_tests.sh8
2 files changed, 14 insertions, 3 deletions
diff --git a/tools/coding-checks.sh b/tools/coding-checks.sh
index 4ee909988..615f2c3de 100644
--- a/tools/coding-checks.sh
+++ b/tools/coding-checks.sh
@@ -28,6 +28,7 @@ process_options () {
run_pylint () {
local target="${scriptargs:-all}"
+ local output_format=""
if [ "$target" = "all" ]; then
files="ansible api tests yardstick"
@@ -37,11 +38,15 @@ run_pylint () {
*) echo "$target is an unrecognized basecommit"; exit 1;;
esac
fi
-
+ # make Jenkins output parseable because Jenkins doesn't handle color
+ # enventually we should use the Jenkins Pylint plugin or other tools
+ if [ -n "${BRANCH:-}" ] ; then
+ output_format="--output-format=parseable"
+ fi
echo "Running pylint..."
echo "You can speed this up by running it on 'HEAD~[0-9]' (e.g. HEAD~0, this change only)..."
if [ -n "${files}" ]; then
- pylint --rcfile=.pylintrc ${files}
+ pylint --rcfile=.pylintrc ${output_format} ${files}
else
echo "No python changes in this commit, pylint check not required."
exit 0
diff --git a/tools/run_tests.sh b/tools/run_tests.sh
index ddb5e55af..32c4f19e4 100755
--- a/tools/run_tests.sh
+++ b/tools/run_tests.sh
@@ -29,9 +29,16 @@ run_tests() {
echo "Running unittest ... "
if [ $FILE_OPTION == "f" ]; then
python -m unittest discover -v -s tests/unit > $logfile 2>&1
+ if [ $? -ne 0 ]; then
+ echo "FAILED, results in $logfile"
+ exit 1
+ fi
python -m unittest discover -v -s yardstick/tests/unit >> $logfile 2>&1
else
python -m unittest discover -v -s tests/unit
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
python -m unittest discover -v -s yardstick/tests/unit
fi
@@ -56,7 +63,6 @@ run_functional_test() {
mkdir -p .testrepository
python -m subunit.run discover yardstick/tests/functional > .testrepository/subunit.log
- python -m subunit.run discover tests/functional >> .testrepository/subunit.log
subunit2pyunit < .testrepository/subunit.log
EXIT_CODE=$?